#!/bin/bash

logplik=/opt/ubuneo/log.txt

apt-cdrom add < enter
apt-get -qy install  linux-headers-`uname -r | cut -d'-' -f3` build-essential 2>> $logplik
apt-get -qy remove eagle-usb-data eagle-usb-utils eagle-usb-modules 2>> $logplik

rm /lib/modules/`uname -r`/kernel/drivers/usb/net/eagle/eagle-usb.ko 2>> $logplik
rm /lib/modules/`uname -r`/kernel/drivers/usb/atm/usbatm.ko 2>> $logplik
rmmod eagle-usb 2>> $logplik
rmmod usbatm 2>> $logplik
#module-assistant jeszcze by pasowalo
cd /opt/ubuneo/ueagle-atm-1.3/ 2>> $logplik
make 2>> $logplik
make install 2>> $logplik 

mkdir -p /lib/firmware/ueagle-atm 2>> $logplik
cp -a /opt/ubuneo/ueagle-data-1.1/* /lib/firmware/ueagle-atm 2>> $logplik

modprobe -f ueagle-atm 2>> $logplik

echo "user \"$1\" 
plugin pppoatm.so 0.35 
llc-encaps 
noipdefault 
defaultroute 
persist 
noauth" > /etc/ppp/peers/ubuneo_ppp

echo "\"$1\" * \"$2\" *"> /etc/ppp/chap-secrets
echo "\"$1\" * \"$2\" *"> /etc/ppp/pap-secrets

cp /etc/resolv.conf /etc/resolv.conf_UbuNeo
cp /etc/apt/sources.list /etc/apt/sources.list_UbuNeo
cp /opt/ubuneo/sources_wzor /etc/apt/sources.list


echo "nameserver 194.204.152.34 
nameserver 217.98.63.164" > /etc/resolv.conf

modprobe pppoatm 2>> $logplik
pppd call ubuneo_ppp 2>> $logplik

if [ "$3" = t ]
then
        echo "pppd call ubuneo_ppp" > /etc/init.d/ubuneo
        chmod +x /etc/init.d/ubuneo
        update-rc.d ubuneo defaults
 echo "Dodano UbuNeo do autostartu"
fi

 echo "Aby ręcznie uruchomić Neostradę, zastosuj polecenie:"
 echo "pppd call ubuneo"
 echo $(ifconfig | grep P-t-P)
exit 0
